@import url('./globals.css');

/* Estilos específicos para la página de login */
.container-login {
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    & .container-login-form {
        position: relative;
        border-radius: 1rem;
        height: 90%;
        max-height: 30rem;
        max-width: 20rem;
        width: 90%;
        background-color: var(--color-light-gray);
        text-align: center;
        box-shadow: 0 30PX 30px rgba(0, 0, 0, 0.3);
        & img {
            height: auto;
            max-width: 100%;
            width: 8rem;
            margin-top: 2rem;
        }
        & h1 {
            font-size: 8px;
            font-family: 'Raleway', sans-serif;
            font-weight: 700;
            color: rgba(0, 0, 0, 0.5);
            position: absolute;
            top: 10px;
            right: 10px;
            padding: 0.25rem 0.5rem;
            border-radius: 0.5rem;
            background-color: rgba(0, 0, 0, 0.1);
        }
        & > p{
            font-family: 'Raleway', sans-serif;
            font-size: 0.8rem;
            font-weight: 600;
            color: var(--color-gray-mate);
            padding: 5px;
            background-color: #FFF;
            border-radius: 0.5rem;
            max-width: 70%;
            text-align: center;
            margin: 0.5rem auto;
        }
        & .border-container-login {
                background-color: var(--color-yellow);
                max-width: 19rem;
                width: 100%;
                height: 100%;
                position: absolute;
                top: -8px;
                left: 50%;
                transform: translateX(-50%);
                border-radius: 1rem;
                z-index: -1;
            }
        & form {
            display: flex;
            flex-direction: column;
            padding: 1rem;
            & .input-group-login {
                display: flex;
                flex-direction: column;
                width: 90%;
                margin: auto;
                text-align: left;
                position: relative;
                margin-bottom: 1rem;
                & label {
                    font-size: 0.7rem;
                    font-weight: 500;
                    color: var(--color-gray-mate);
                    margin-bottom:3px;
                }
                & input {
                    padding: 0.5rem 0rem 0.5rem 3rem;
                    border: 1px solid var(--color-gray);
                    border-radius: 0.5rem;
                    outline: none;
                    font-weight: 600;
                    color: var(--color-blue);
                    transition: all ease 0.2s;
                    &:focus {
                        border-color: var(--color-yellow);
                        box-shadow: 0 5px 5px 0px rgba(0, 0, 0, 0.1);
                    }
                }
                & .fas {
                    position: absolute;
                    left: 12px;
                    top: 50%;
                    color: var(--color-gray);
                    border-right: 1px solid var(--color-gray);
                    padding-right: 0.5rem;
                }
            }
            & p {
                font-size: 0.6rem;
                font-weight: 500;
                color: var(--color-gray);
            }
            & .button-container {
                position: relative;
                display: flex;
                align-items: center;
                justify-content: center;
                gap: 0.5rem;
                & .fas {
                    font-size: 1.2rem;
                    position: absolute;
                    right: 2rem;
                    color: #FFF;
                    padding-right: 0.5rem;
                    z-index: 2;
                    transition: all ease-in-out 0.3s;
                }
                & button {
                    margin: 1rem auto;
                    padding: 0.75rem 1rem;
                    border: none;
                    color: var(--color-light-gray);
                    border-radius: 1.5rem;
                    background-color: var(--color-blue);
                    font-weight: 600;
                    cursor: pointer;
                    width: 100%;
                    max-width: 15rem;
                    border: 2px solid transparent;
                    transition: all ease-in-out 0.3s;
                    &:hover, &:hover {
                        background-color: #a6e689;
                        color: rgba(0, 0, 0, 0.8);
                        transform: translateY(-2px);
                        border-color: rgba(0, 0, 0, 0.2);
                        box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
                    }
                    &:hover + .fas {
                        color: rgba(0, 0, 0, 0.8);
                        transform: translateY(-2px);
                    }
                }
            }
        }
        & .digidan-logo {
            height: auto;
            max-width: 100%;
            width: 8rem;
            margin-top: 5rem;
            opacity: 0.5;
            transition: opacity 0.3s ease;
            &:hover {
                opacity: 1;
            }
        }
    }
}